BigIPRealServerGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.bigip.BigIPRealServerGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip.bigip
Interface BigIPRealServerGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, RealServerGroup, java.io.Serializable

    public interface BigIPRealServerGroup

extends RealServerGroup

Group of real servers AKA cluster

Author:
  viswa
Persistable:
  true

Field Summary
`static int` | `DYNAMIC_RATIO`
`static int` | `FASTEST_APP_RESPONSE`
`static int` | `FASTEST_NODE_ADDR`
`static int` | `LEAST_CONN_MEMBER`
`static int` | `LEAST_CONN_NODE_ADDR`
`static int` | `OBSERVERD_MEMBER`
`static int` | `OBSERVERD_NODE_ADDR`
`static int` | `PREDICTIVE_MEMBER`
`static int` | `PREDICTIVE_NODE_ADDR`
`static int` | `RATIO_MEMBER`
`static int` | `RATIO_NODE_ADDR`

Fields inherited from interface com.collation.platform.model.topology.net.vip.RealServerGroup
`HASH, LEAST_CONNS, MINMISSES, NO_BALANCING, ROUND_ROBIN, WEIGHTED_LEAST_CONNS, WEIGTHED_ROUND_ROBIN`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.net.vip.RealServerGroup
`getLoadBalancingAlgorithm, getName, getParent, getRealServers, hasLoadBalancingAlgorithm, hasName, hasParent, hasRealServers, setLoadBalancingAlgorithm, setName, setParent, setRealServers`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### RATIO_MEMBER

    static final int RATIO_MEMBER

See Also:
  Constant Field Values

### LEAST_CONN_MEMBER

    static final int LEAST_CONN_MEMBER

See Also:
  Constant Field Values

### OBSERVERD_MEMBER

    static final int OBSERVERD_MEMBER

See Also:
  Constant Field Values

### PREDICTIVE_MEMBER

    static final int PREDICTIVE_MEMBER

See Also:
  Constant Field Values

### RATIO_NODE_ADDR

    static final int RATIO_NODE_ADDR

See Also:
  Constant Field Values

### LEAST_CONN_NODE_ADDR

    static final int LEAST_CONN_NODE_ADDR

See Also:
  Constant Field Values

### FASTEST_NODE_ADDR

    static final int FASTEST_NODE_ADDR

See Also:
  Constant Field Values

### OBSERVERD_NODE_ADDR

    static final int OBSERVERD_NODE_ADDR

See Also:
  Constant Field Values

### PREDICTIVE_NODE_ADDR

    static final int PREDICTIVE_NODE_ADDR

See Also:
  Constant Field Values

### DYNAMIC_RATIO

    static final int DYNAMIC_RATIO

See Also:
  Constant Field Values

### FASTEST_APP_RESPONSE

    static final int FASTEST_APP_RESPONSE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD